---
title: "Get an attested app's certificate."
slug: "get-an-attested-app-s-certificate"
updated: 2026-04-04T02:22:39Z
published: 2026-04-04T02:22:47Z
canonical: "support.fortanix.com/get-an-attested-app-s-certificate"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an attested app's certificate.

Get/v1/apps/{app-id}/node/{node-id}/certificate

Get certificate for the app, only if the compute node and app has been attested.

SecurityAPI Key: bearerTokenHeader parameter nameAuthentication

A JWT bearer token to be passed once authenticated.

Path parametersnode-idstring (uuid) Required

UUID of a compute node.

app-idstring (uuid) Required

UUID of an app.

Responses200

App certificate.

<select class='api-response-data' aria-label='Media type'><option value='606a6a83-3501-4490-a101-0f267b23b1c0'>application/json</option>
</select>object  

A certificate request or issued certificate.

certificate_idstring  (uuid)    

Certificate ID.

statusstring    

Certificate status.

Valid values[
  "PENDING",
  "REJECTED",
  "ISSUED",
  "REVOKED",
  "EXPIRED"
]
csrstring    

The certificate signing request.

certificatestring    

The certificate itself, if issued.

node_idstring  (uuid)    

The node relevant to this certificate, if known.

app_idstring  (uuid)    

The app relevant to this certificate, if known.

build_idstring  (uuid)    

The build relevant to this certificate, if known.
